Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRuledSurfaceFilter Class Reference

`#include <vtkRuledSurfaceFilter.h>`

Inheritance diagram for vtkRuledSurfaceFilter:

[legend]
Collaboration diagram for vtkRuledSurfaceFilter:

[legend]
List of all members.

## Detailed Description

generates a surface from a set of lines

Date:
  2002/09/03 12:52:23

Revision:
  1.10

vtkRuledSurfaceFilter is a filter that generates a surface from a set of lines. The lines are assumed to be "parallel" in the sense that they do not intersect and remain somewhat close to one another. A surface is generated by connecting the points defining each pair of lines with straight lines. This creates a strip for each pair of lines (i.e., a triangulation is created from two generating lines). The filter can handle an arbitrary number of lines, with lines i and i+1 assumed connected. Note that there are several different approaches for creating the ruled surface, the method for creating the surface can either use the input points or resample from the polylines (using a user-specified resolution).

This filter offers some other important features. A DistanceFactor ivar is used to decide when two lines are too far apart to connect. (The factor is a multiple of the distance between the first two points of the two lines defining the strip.) If the distance between the two generating lines becomes too great, then the surface is not generated in that region. (Note: if the lines separate and then merge, then a hole can be generated in the surface.) In addition, the Offset and OnRation ivars can be used to create nifty striped surfaces. Closed surfaces (e.g., tubes) can be created by setting the CloseSurface ivar. (The surface can be closed in the other direction by repeating the first and last point in the polylines defining the surface.)

An important use of this filter is to combine it with vtkStreamLine to generate stream surfaces. It can also be used to create surfaces from contours.

Warning:
  The number of lines must be greater than two if a surface is to be generated. sides (i.e., a ribbon), use vtkRibbonFilter.

See also:
  vtkRibbonFilter vtkStreamLine

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (88%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkRuledSurfaceFilter.h)`
  - .`cxx` (`/Graphics/vtkRuledSurfaceFilter.cxx)`

Examples:
  vtkRuledSurfaceFilter (Examples)

Tests:
  vtkRuledSurfaceFilter (Tests)

Definition at line 85 of file vtkRuledSurfaceFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDistanceFactor (float)
virtual float | GetDistanceFactor ()
virtual void | SetOnRatio (int)
virtual int | GetOnRatio ()
virtual void | SetOffset (int)
virtual int | GetOffset ()
virtual void | SetCloseSurface (int)
virtual int | GetCloseSurface ()
virtual void | CloseSurfaceOn ()
virtual void | CloseSurfaceOff ()
virtual void | SetRuledMode (int)
virtual int | GetRuledMode ()
void | SetRuledModeToResample ()
void | SetRuledModeToPointWalk ()
const char * | GetRuledModeAsString ()
virtual void | SetResolution (int, int)
void | SetResolution (int[2])
virtual int * | GetResolution ()
virtual void | GetResolution (int data[2])
virtual void | SetPassLines (int)
virtual int | GetPassLines ()
virtual void | PassLinesOn ()
virtual void | PassLinesOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkRuledSurfaceFilter * | SafeDownCast (vtkObject *o)
vtkRuledSurfaceFilter * | New ()
## Protected Methods
| vtkRuledSurfaceFilter ()
| ~vtkRuledSurfaceFilter ()
void | Execute ()
## Protected Attributes
float | DistanceFactor
int | OnRatio
int | Offset
int | CloseSurface
int | RuledMode
int | Resolution [2]
int | PassLines

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkRuledSurfaceFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 88 of file vtkRuledSurfaceFilter.h.

## Constructor & Destructor Documentation

vtkRuledSurfaceFilter::vtkRuledSurfaceFilter | ( |  | ) | `[protected]`

vtkRuledSurfaceFilter::~vtkRuledSurfaceFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkRuledSurfaceFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkRuledSurfaceFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkRuledSurfaceFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkRuledSurfaceFilter* vtkRuledSurfaceFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkRuledSurfaceFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkRuledSurfaceFilter* vtkRuledSurfaceFilter::New | ( |  | ) | `[static]`

| Construct object with OnRatio=1, Offset=0. DistanceFactor=3.0, CloseSurface off, and PassLines off. Reimplemented from vtkObject.

virtual void vtkRuledSurfaceFilter::SetDistanceFactor | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls tearing of the surface.

virtual float vtkRuledSurfaceFilter::GetDistanceFactor | ( |  | ) | `[virtual]`

| Set/Get the factor that controls tearing of the surface.

virtual void vtkRuledSurfaceFilter::SetOnRatio | ( | int |  | ) | `[virtual]`

| Control the striping of the ruled surface. If OnRatio is greater than 1, then every nth strip is turned on, beginning with the Offset strip.

virtual int vtkRuledSurfaceFilter::GetOnRatio | ( |  | ) | `[virtual]`

| Control the striping of the ruled surface. If OnRatio is greater than 1, then every nth strip is turned on, beginning with the Offset strip.

virtual void vtkRuledSurfaceFilter::SetOffset | ( | int |  | ) | `[virtual]`

| Control the striping of the ruled surface. The offset sets the first stripe that is visible. Offset is generally used with OnRatio to create nifty striping effects.

virtual int vtkRuledSurfaceFilter::GetOffset | ( |  | ) | `[virtual]`

| Control the striping of the ruled surface. The offset sets the first stripe that is visible. Offset is generally used with OnRatio to create nifty striping effects.

virtual void vtkRuledSurfaceFilter::SetCloseSurface | ( | int |  | ) | `[virtual]`

| Indicate whether the surface is to be closed. If this boolean is on, then the first and last polyline are used to generate a stripe that closes the surface. (Note: to close the surface in the other direction, repeat the first point in the polyline as the last point in the polyline.)

virtual int vtkRuledSurfaceFilter::GetCloseSurface | ( |  | ) | `[virtual]`

| Indicate whether the surface is to be closed. If this boolean is on, then the first and last polyline are used to generate a stripe that closes the surface. (Note: to close the surface in the other direction, repeat the first point in the polyline as the last point in the polyline.)

virtual void vtkRuledSurfaceFilter::CloseSurfaceOn | ( |  | ) | `[virtual]`

| Indicate whether the surface is to be closed. If this boolean is on, then the first and last polyline are used to generate a stripe that closes the surface. (Note: to close the surface in the other direction, repeat the first point in the polyline as the last point in the polyline.)

virtual void vtkRuledSurfaceFilter::CloseSurfaceOff | ( |  | ) | `[virtual]`

| Indicate whether the surface is to be closed. If this boolean is on, then the first and last polyline are used to generate a stripe that closes the surface. (Note: to close the surface in the other direction, repeat the first point in the polyline as the last point in the polyline.)

virtual void vtkRuledSurfaceFilter::SetRuledMode | ( | int |  | ) | `[virtual]`

| Set the mode by which to create the ruled surface. (Dramatically different results are possible depending on the chosen mode.) The resample mode evenly resamples the polylines (based on length) and generates triangle strips. The

virtual int vtkRuledSurfaceFilter::GetRuledMode | ( |  | ) | `[virtual]`

| Set the mode by which to create the ruled surface. (Dramatically different results are possible depending on the chosen mode.) The resample mode evenly resamples the polylines (based on length) and generates triangle strips. The

void vtkRuledSurfaceFilter::SetRuledModeToResample | ( |  | ) | `[inline]`

| Set the mode by which to create the ruled surface. (Dramatically different results are possible depending on the chosen mode.) The resample mode evenly resamples the polylines (based on length) and generates triangle strips. The Definition at line 136 of file vtkRuledSurfaceFilter.h. References VTK_RULED_MODE_RESAMPLE.

void vtkRuledSurfaceFilter::SetRuledModeToPointWalk | ( |  | ) | `[inline]`

| Set the mode by which to create the ruled surface. (Dramatically different results are possible depending on the chosen mode.) The resample mode evenly resamples the polylines (based on length) and generates triangle strips. The Definition at line 138 of file vtkRuledSurfaceFilter.h. References VTK_RULED_MODE_POINT_WALK.

const char* vtkRuledSurfaceFilter::GetRuledModeAsString | ( |  | ) |

| Set the mode by which to create the ruled surface. (Dramatically different results are possible depending on the chosen mode.) The resample mode evenly resamples the polylines (based on length) and generates triangle strips. The

virtual void vtkRuledSurfaceFilter::SetResolution | ( | int | ,
|  | int |
| ) | `[virtual]`

| If the ruled surface generation mode is RESAMPLE, then these parameters are used to determine the resample rate. Resolution[0] defines the resolution in the direction of the polylines; Resolution[1] defines the resolution across the polylines (i.e., direction orthogonal to Resolution[0]).

void vtkRuledSurfaceFilter::SetResolution | ( | int | [2] | ) |

| If the ruled surface generation mode is RESAMPLE, then these parameters are used to determine the resample rate. Resolution[0] defines the resolution in the direction of the polylines; Resolution[1] defines the resolution across the polylines (i.e., direction orthogonal to Resolution[0]).

virtual int* vtkRuledSurfaceFilter::GetResolution | ( |  | ) | `[virtual]`

| If the ruled surface generation mode is RESAMPLE, then these parameters are used to determine the resample rate. Resolution[0] defines the resolution in the direction of the polylines; Resolution[1] defines the resolution across the polylines (i.e., direction orthogonal to Resolution[0]).

virtual void vtkRuledSurfaceFilter::GetResolution | ( | int | data[2] | ) | `[virtual]`

| If the ruled surface generation mode is RESAMPLE, then these parameters are used to determine the resample rate. Resolution[0] defines the resolution in the direction of the polylines; Resolution[1] defines the resolution across the polylines (i.e., direction orthogonal to Resolution[0]).

virtual void vtkRuledSurfaceFilter::SetPassLines | ( | int |  | ) | `[virtual]`

| Indicate whether the generating lines are to be passed to the output. By defualt lines are not passed to the output.

virtual int vtkRuledSurfaceFilter::GetPassLines | ( |  | ) | `[virtual]`

| Indicate whether the generating lines are to be passed to the output. By defualt lines are not passed to the output.

virtual void vtkRuledSurfaceFilter::PassLinesOn | ( |  | ) | `[virtual]`

| Indicate whether the generating lines are to be passed to the output. By defualt lines are not passed to the output.

virtual void vtkRuledSurfaceFilter::PassLinesOff | ( |  | ) | `[virtual]`

| Indicate whether the generating lines are to be passed to the output. By defualt lines are not passed to the output.

void vtkRuledSurfaceFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkRuledSurfaceFilter::DistanceFactor`[protected]`

| Definition at line 168 of file vtkRuledSurfaceFilter.h.

int vtkRuledSurfaceFilter::OnRatio`[protected]`

| Definition at line 169 of file vtkRuledSurfaceFilter.h.

int vtkRuledSurfaceFilter::Offset`[protected]`

| Definition at line 170 of file vtkRuledSurfaceFilter.h.

int vtkRuledSurfaceFilter::CloseSurface`[protected]`

| Definition at line 171 of file vtkRuledSurfaceFilter.h.

int vtkRuledSurfaceFilter::RuledMode`[protected]`

| Definition at line 172 of file vtkRuledSurfaceFilter.h.

int vtkRuledSurfaceFilter::Resolution[2]`[protected]`

| Definition at line 173 of file vtkRuledSurfaceFilter.h.

int vtkRuledSurfaceFilter::PassLines`[protected]`

| Definition at line 174 of file vtkRuledSurfaceFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkRuledSurfaceFilter.h